# $Revision: 1.11 $, $Date: 2010/04/03 17:24:34 $
Summary:	A tool for tunneling TCP connections over ICMP echo packets
Summary(pl.UTF-8):	Narzędzie służące do tunelowania połączeń TCP poprzez pakiety ICMP echo
Name:		ptunnel
Version:	0.71
Release:	2
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.cs.uit.no/~daniels/PingTunnel/PingTunnel-%{version}.tar.gz
# Source0-md5:	9b04771d4fa50abc15a6af690b81c71a
Patch0:		%{name}-Makefile.patch
URL:		http://www.cs.uit.no/~daniels/PingTunnel/index.html
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ping Tunnel is a tool for reliably tunneling TCP connections over ICMP
echo request and reply packets. It is useful for evading firewalls
that, for whatever reason, prevent outgoing TCP connections, but allow
in- and outgoing ICMP packets.

%description -l pl.UTF-8
Ping Tunnel jest narzędziem służącym do niezawodnego tunelowania
połączeń TCP poprzez pakiety ICMP echo request i ICMP echo reply. Ping
Tunnel jest użyteczny do omijania firewalli, które zabraniają
wychodzących połączeń TCP, ale pozwalają na wchodzące i wychodzące
pakiety ICMP.

%prep
%setup -q -n PingTunnel
%patch0 -p0

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	bindir=%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README LICENSE
%attr(755,root,root) %{_bindir}/ptunnel
%{_mandir}/man8/ptunnel.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ptunnel.spec,v $
Revision 1.11  2010/04/03 17:24:34  glen
- release 2

Revision 1.10  2009/11/12 13:18:34  paszczus
- updated to 0.71

Revision 1.9  2009/01/15 20:15:33  duddits
- up to 0.70

Revision 1.8  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.6  2005/08/04 11:10:09  nail2k
- cosmetics

Revision 1.5  2005/07/25 21:10:59  glen
- include manual to package

Revision 1.4  2005/07/22 09:36:36  blekot
- up to 0.61

Revision 1.3  2005/05/16 20:58:24  zbyniu
- up to 0.60

Revision 1.2  2005/02/18 18:52:18  nail2k
- up to 0.55

Revision 1.1  2005/02/10 21:55:58  nail2k
- new
